Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement
Class OnErrorTestElement

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.OnErrorTestElement

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

Direct Known Subclasses:
  ResultAction

public abstract class OnErrorTestElement
extends AbstractTestElement

Version:
  $Revision: 768416 $
See Also:
  Serialized Form

Field Summary
`static String` | `ON_ERROR_ACTION`
`static int` | `ON_ERROR_CONTINUE`
`static int` | `ON_ERROR_STOPTEST`
`static int` | `ON_ERROR_STOPTEST_NOW`
`static int` | `ON_ERROR_STOPTHREAD`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`protected` | `OnErrorTestElement()`

Method Summary
`int` | `getErrorAction()`
`boolean` | `isContinue()`
`boolean` | `isStopTest()`
`boolean` | `isStopTestNow()`
`boolean` | `isStopThread()`
`void` | `setErrorAction(int value)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ON_ERROR_CONTINUE

    public static final int ON_ERROR_CONTINUE

See Also:
  Constant Field Values

### ON_ERROR_STOPTHREAD

    public static final int ON_ERROR_STOPTHREAD

See Also:
  Constant Field Values

### ON_ERROR_STOPTEST

    public static final int ON_ERROR_STOPTEST

See Also:
  Constant Field Values

### ON_ERROR_STOPTEST_NOW

    public static final int ON_ERROR_STOPTEST_NOW

See Also:
  Constant Field Values

### ON_ERROR_ACTION

    public static final String ON_ERROR_ACTION

See Also:
  Constant Field Values

Constructor Detail

### OnErrorTestElement

    protected OnErrorTestElement()

Method Detail

### setErrorAction

    public void setErrorAction(int value)

### getErrorAction

    public int getErrorAction()

### isContinue

    public boolean isContinue()

### isStopThread

    public boolean isStopThread()

### isStopTest

    public boolean isStopTest()

### isStopTestNow

    public boolean isStopTestNow()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.